function retval = setarrow(s, nrow, skip, x)
% print out gnuplot arrow commands
narrows = size(x,2)/2;
printf ("gnuplot arrow command -- %s\n", s)
for i = 1:narrows
  cols = (2*i-1):(2*i);
  arrowloc = [x(nrow,cols)', x(nrow+skip,cols)'];
  size = norm(arrowloc(:,1)-arrowloc(:,2));
% extend size of line so arrowhead is not clipped off by gnuplot
  arrowloc = arrowloc*[2, 0; -1, 1];
  arrowloc = arrowloc(:);
  printf ("set arrow %i from %g, %g to %g, %g filled size first %g, 15 lw 0\n", ...
           i, arrowloc, size)
end