function resid = continuous(t, F, Fdot, p)
  c = 1/(1/p.c0+p.k*t);
  v = -2*p.k*c*p.x;
  D=p.k*c*c;
  Fx = p.A*F;
  dFdt = -v.*Fx + D*p.B*F;
  % pde
  resid = Fdot - dFdt;
  % F = 1/2 at x =0; F=1 at large x
  resid(1) = F(1) - 0.5;
  resid(end) = F(end) -1;